DCMTK: DicomImageClass Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
DicomImageClass Class Reference

Class comprising several global functions and constants. More...

## Static Public Member Functions
static unsigned long | maxval (const int mv_bits, const unsigned long mv_pos=1)
| calculate maximum value which could be stored in the specified number of bits
static unsigned int | tobits (unsigned long tb_value, const unsigned long tb_pos=1)
| calculate number of bits which are necessary to store the specified value
static unsigned int | rangeToBits (double minvalue, double maxvalue)
| calculate number of bits which are necessary to store the specified value range
static int | isRepresentationSigned (EP_Representation repres)
| determine whether integer representation is signed or unsigned
static unsigned int | getRepresentationBits (EP_Representation repres)
| determine number of bits used for a particular integer representation
static EP_Representation | determineRepresentation (double minvalue, double maxvalue)
| determine integer representation which is necessary to store values in the specified range

## Detailed Description

Class comprising several global functions and constants.

introduced to avoid problems with naming convention

## Member Function Documentation

## ◆ determineRepresentation()

EP_Representation DicomImageClass::determineRepresentation | ( | double | minvalue,
|  | double | maxvalue )
| static

determine integer representation which is necessary to store values in the specified range

Parameters

  minvalue | minimum value to be stored
  maxvalue | maximum value to be stored

Returns
  integer representation (enum)

## ◆ getRepresentationBits()

unsigned int DicomImageClass::getRepresentationBits | ( | EP_Representation | repres | ) |
| static

determine number of bits used for a particular integer representation

Parameters

  repres | integer representation (enum) to be checked

Returns
  number of bits

## ◆ isRepresentationSigned()

int DicomImageClass::isRepresentationSigned | ( | EP_Representation | repres | ) |
| static

determine whether integer representation is signed or unsigned

Parameters

  repres | integer representation (enum) to be checked

Returns
  true if representation is signed, false if unsigned

## ◆ maxval()

unsigned long DicomImageClass::maxval | ( | const int | mv_bits,
|  | const unsigned long | mv_pos = 1 )
| inlinestatic

calculate maximum value which could be stored in the specified number of bits

Parameters

  mv_bits | number of bits
  mv_pos | value subtracted from the maximum value (0 or 1)

Returns
  maximum value

Referenced by DiInputPixelTemplate< T1, T2 >::DiInputPixelTemplate(), DiScaleTemplate< T >::bicubicPixel(), DiARGBPixelTemplate< T1, T2, T3 >::convert(), DiCMYKPixelTemplate< T1, T2 >::convert(), DiColorOutputPixelTemplate< T1, T2 >::convert(), DiHSVPixelTemplate< T1, T2 >::convert(), DiRGBPixelTemplate< T1, T2 >::convert(), DiYBR422PixelTemplate< T1, T2 >::convert(), DiYBRPart422PixelTemplate< T1, T2 >::convert(), DiYBRPixelTemplate< T1, T2 >::convert(), DiColorPixelTemplate< T >::createAWTBitmap(), DiColorPixelTemplate< T >::createDIB(), DiBaseLUT::getAbsMaxRange(), DiScaleTemplate< T >::interpolatePixel(), DiMonoOutputPixelTemplate< T1, T2, T3 >::overlay(), and DiMonoScaleTemplate< T >::scale().

## ◆ rangeToBits()

unsigned int DicomImageClass::rangeToBits | ( | double | minvalue,
|  | double | maxvalue )
| static

calculate number of bits which are necessary to store the specified value range

Parameters

  minvalue | minimum value to be stored
  maxvalue | maximum value to be stored

Returns
  number of bits

## ◆ tobits()

unsigned int DicomImageClass::tobits | ( | unsigned long | tb_value,
|  | const unsigned long | tb_pos = 1 )
| inlinestatic

calculate number of bits which are necessary to store the specified value

Parameters

  tb_value | value to be stored
  tb_pos | value subtracted from the value (0 or 1) before converting

Returns
  number of bits

The documentation for this class was generated from the following file:

- dcmimgle/include/dcmtk/dcmimgle/diutils.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1